Page MenuHomePhabricator

deploy EntitySchema to production
Closed, ResolvedPublic

Description

We want to deploy EntitySchema to production.

Details

Due Date
May 27 2019, 10:00 PM

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2019, 3:17 PM
Lydia_Pintscher renamed this task from Deploy WikibaseSchema to production to deploy WikibaseSchema to production.Feb 24 2019, 3:22 PM
Lydia_Pintscher set Due Date to Apr 30 2019, 10:00 PM.Apr 23 2019, 3:34 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptApr 23 2019, 3:34 PM

This probably means setting wmgUseWikibaseSchema to true for wikidatawiki in InitialiseSettings.php.

hoo removed Due Date.Apr 24 2019, 8:50 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptApr 24 2019, 8:50 PM
Michael set Due Date to May 27 2019, 10:00 PM.May 21 2019, 5:03 PM
Lucas_Werkmeister_WMDE renamed this task from deploy WikibaseSchema to production to deploy EntitySchema to production.May 22 2019, 11:10 AM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-05-23T10:50:06Z] <Amir1> ladsgroup@mwmaint1002:/srv/mediawiki/php-1.34.0-wmf.5$ mwscript sql.php --wiki=wikidatawiki extensions/EntitySchema/sql/EntitySchema.sql (T216955)

Michael triaged this task as High priority.May 27 2019, 1:34 PM
Michael added a comment.EditedMay 27 2019, 1:40 PM

Deployment Roadmap:

See: https://wikitech.wikimedia.org/wiki/Deployments#Week_of_May_27th

Change 512909 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[operations/mediawiki-config@master] Enable extension EntitySchema in production

https://gerrit.wikimedia.org/r/512909

Change 512909 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable extension EntitySchema in production

https://gerrit.wikimedia.org/r/512909

noarave closed this task as Resolved.May 29 2019, 11:43 AM
noarave claimed this task.
Restricted Application added a project: User-Noarave. · View Herald TranscriptMay 29 2019, 11:43 AM